import { get, deletes } from '@/http/index'
/**
 * @name 查询OSS对象存储列表
 * @param query 参数
 * @returns 返回列表
 */
export const listOssApi = async (query) => {
  return await get('/als/resource/oss/list', query, { loading: false })
}

/**
 * @name 查询OSS对象基于id串
 * @param ossId ossId
 * @returns returns
 */
export const getListByIdsApi = async (ossIds) => {
  return await get(`/als/resource/oss/listByIds/${ossIds}`)
}

/**
 * @name 删除OSS对象存储
 * @param ossId ossId
 * @returns returns
 */
export const delOssApi = async (ossId) => {
  return await deletes(`/als/resource/oss/${ossId}`)
}
